Jump to content

Jumpy cursor and distance measuring


Valce

Recommended Posts

Hi!

 

When I zoom in a lot on my AutoCAD drawing, the cursor gets really jumpy. It feels like there isn't enough resolution or something... But it doesn't happen on all my AutoCAD files. Is there a way to get around this problem or...?\

 

Also, how do I measure the distance along a fixed angle line (say 60degrees)?

 

Thanks a lot!

 

-V

Link to comment
Share on other sites

Also, how do I measure the distance along a fixed angle line (say 60degrees)?

 

Thanks a lot!

 

-V

 

Are you wanting to measure the length of a line that is at a 60 degree angle?? or are you trying to get the distance from the start point of the line to the end point along the x axis??

Link to comment
Share on other sites

Are you wanting to measure the length of a line that is at a 60 degree angle?? or are you trying to get the distance from the start point of the line to the end point along the x axis??

 

 

Sorry for not being clear - I am trying to measure the distance between two (2D) objects along a 60 degree line. (actually this line is perpendicular to both objects, so I'm technically looking for the shortest distance between the two objects, dunno if that helps). The objects are hexagons.

 

I have to do this for a lot of objects (100+ locations...) so I need an easy way to do this :( Currently the only method I know involves measuring straight down and using trig to try to calculate the distance.

Link to comment
Share on other sites

I dont think im following you very well...could you post a screen shot?

 

Sure!

 

This is zoomed in on one part of my AutoCAD file - the two lines are parallel (30 degrees up from the horizontal), and form the sides of two separate hexagons. I need to measure the shortest distance between these two lines (i.e. the distance along a perpendicular to the two lines).

 

I actually need to make sure that the gap between these lines is exactly 5 microns, but measuring them seems like a good start :) [though if there's an easy way to manage the gap sizes that'd be awesome too! :D

measuring.jpg

Link to comment
Share on other sites

Seeing how you mentioned having hundreds of these things to draw i would play around with the ARRAY command...to might have to get the distance from the center of one to the center of the other, taking into consideration the 5 microns gap and than use that as your distance in the array command...though someone may have an easier way....if I can think of another way I will let you know

Link to comment
Share on other sites

Seeing how you mentioned having hundreds of these things to draw i would play around with the ARRAY command...to might have to get the distance from the center of one to the center of the other, taking into consideration the 5 microns gap and than use that as your distance in the array command...though someone may have an easier way....if I can think of another way I will let you know

 

Yeah, I used ARRAY to create the initial matrix of hexagons, but some of the distances between hexagons need to be smaller (mostly just to annoy me, I think :() so I guess I'm kinda stuck.

 

Thanks though :)

Link to comment
Share on other sites

the two lines are parallel.... I need to measure the shortest distance between these two lines (i.e. the distance along a perpendicular to the two lines).

 

I actually need to make sure that the gap between these lines is exactly 5 microns, but measuring them seems like a good start :) [though if there's an easy way to manage the gap sizes that'd be awesome too! :D

 

OFFSET, as smorales02 suggests, is an AutoCAD command that makes a copy of an object at a distance you specify. It is probably what you want to use to create objects that are parallel to another.

 

The jumpy cursor is probably because you have SNAP set to on and the snap distance is too large for your needs. See the SNAP command. Pressing F9 should toggle the snap between on and off without the need of running the SNAP command.

 

Also see the GRID command which visually aids in locating snap points.

 

To check the perpendicular distance between parallel lines, use the DIST command, and select "near" anywhere on the first line and select "perpendicular" on the second line. Near and Perpendicular are object snap overrides. To use them, just type the one you want before selecting the object. Here's an example:

 

Command: DIST

Specify first point: NEA

(then select anywhere on the first line)

to Specify second point: PER

(then select anywhere on the second line)

 

Distance = 0.97072534, Angle in XY Plane = 124, Angle from XY Plane = 0

Delta X = -0.53846154, Delta Y = 0.80769231, Delta Z = 0.00000000

The value for "Distance" is the shortest distance between the two parallel lines.

 

If the lines are not parallel, use the "END" object snap override to select the first line near the end that is nearest the second line, then PER for the second line. If you can't visually identify which end is nearest, repeat the process for both ends.

 

After doing this a few times, you will probably get very bored repeatedly entering the overrides, and that's where a bit of programming comes in handy. Here's an AutoLisp program that does this particular distance measuring the simple way. Just copy everything onto the AutoCAD command line and press the ENTER key. Then type DNP and press ENTER to run the command. Follow the prompts. It displays the distance and draws a red line between the two points, but that line is not a real object and will disappear when the display is regenerated or redrawn.

 

(defun c:DNP ( / orig-osmode pt1 pt2)
(setq orig-osmode (getvar "osmode"))
(setvar "osmode" 512) ;_ nea (use "1" for end)
(while (setq pt1 (getpoint "\nSelect anywhere on the 1st perpendicular line/<exit>: "))
 (if pt1
  (progn
   (setvar "lastpoint" pt1)
   (setvar "osmode" 128) ;_ perp
   (setq pt2 (getpoint pt1 "\nSelect anywhere on the 2nd perpendicular line/<repick 1st>: "))
   (if pt2
    (progn
     ;; Draw a temporary line that will disappear upon redraw.
     (grdraw pt1 pt2 1)
     ;; Display the distance measured on the text screen.
     (PRINT (DISTANCE PT1 PT2))
    ) ;_ progn
   ) ;_ if
  ) ;_ progn
 ) ;_ if
) ;_ while
(setvar "osmode" orig-osmode)
(princ)
)

Footpeg

Link to comment
Share on other sites

Sure!

 

This is zoomed in on one part of my AutoCAD file - the two lines are parallel (30 degrees up from the horizontal), and form the sides of two separate hexagons. I need to measure the shortest distance between these two lines (i.e. the distance along a perpendicular to the two lines).

 

I actually need to make sure that the gap between these lines is exactly 5 microns, but measuring them seems like a good start :) [though if there's an easy way to manage the gap sizes that'd be awesome too! :D

 

Hey Valce

You can use the dimaligned comand(or the icon like ine the first picture), for measuring the shortest distance for 2 entities not perpendicuar on the screen.

And for the dancing cursor you may have activated SNAP (like in the picture attached), and you have to click it to deactivate.

 

Hope this helps you.

aligned.jpg

snap.jpg

Link to comment
Share on other sites

Hi!

 

When I zoom in a lot on my AutoCAD drawing, the cursor gets really jumpy. It feels like there isn't enough resolution or something... But it doesn't happen on all my AutoCAD files. Is there a way to get around this problem or...?\

 

Also, how do I measure the distance along a fixed angle line (say 60degrees)?

 

Thanks a lot!

 

-V

 

1) Make sure snap is off when you are zoomed in close like that to eliminate the jumping around.

 

2) Use Distance command, then use Near osnap and grab one line, use Perpendicular osnap and grab the second line. No trig required. You could also use dimaligned and erase the dim later. Don't forget to set Units and Dim Units rounding to a setting to give you the most decimals since you are measuring such small values.

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Unfortunately, your content contains terms that we do not allow. Please edit your content to remove the highlighted words below.
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...